import "key_input.dart";

class KeyBindings<T> {
  final Map<KeyInput, T> _bindings = Map<KeyInput, T>();

  void bind(T input, KeyInput key) {
    _bindings[key] = input;
  }

  T find(KeyInput key) {
    return _bindings[key];
  }
}
